Products

System Requirements

Hardware Requirements

Windows

Minimum hardware system requirements:

  • CPU: 800MHz

  • RAM: 512MB

  • Free Disk Space: 20GB

  • Network Adapter: Required

  • Display Adapter: 64M, OpenGL version 1.5

Recommended:

  • CPU: Dual core 2GHz, or higher

  • RAM: 4GB or higher

  • Free Disk Space: 80 GB or higher

  • Network Adapter: 100M or higher

  • Display Adapter: 512M or higher, OpenGL version 3.0

Linux

Minimum hardware system requirements:

  • CPU: 800MHz

  • RAM: 512MB

  • Hard Disk: 20GB

  • Network Adapter: Required

  • Display Adapter: 64M, OpenGL version 1.5

Recommended:

  • CPU: Dual core 2GHz, or higher

  • RAM: 4GB or higher

  • Free Disk Space: 80 GB or higher

  • Network Adapter: 100M or higher

  • Display Adapter: 512M or higher, OpenGL version 3.0

AIX

Minimum hardware system requirements:

  • CPU: IBM POWER family

  • RAM: 512MB

  • Hard Disk: 20GB

  • Network Adapter: Required

Software Requirements

Windows

Operating System Requirements:

  • Microsoft® Windows® XP (XP2 or later)

  • Microsoft® Windows® Server 2003 (XP1 or later)

  • Microsoft® Windows® Vista Series

  • Microsoft® Windows® 7 Series

  • Microsoft® Windows® Server 2008 Series

  • Microsoft® Windows® Server 2008 R2 Series

Other Requirements:

  • JRE 1.6 or later

  • SuperMap Objects Java 6R SP3 (for Windows)

Note:

Before using the .war package to deploy SuperMap iServer Java, you need to install JRE (or JDK) and SuperMap Objects Java 6R, and set environmental variables. If you use the .zip or setup package, you don't need to set environment variables.

The environment variables are set as follows:

  • JAVA_HOME: If you installed JDK, set JAVA_HOME to the installation path of JDK.

  • JAVA_HOME: If you installed JRE, set JAVA_HOME to the installation path of JRE.

The environment variables are set as follows:

  • UGO_HOME: Set UGO_HOME to the installation path of SuperMap Objects Java 6R.

  • PATH: Add %UGO_HOME%\Bin.

Linux

Kernel Requirements:

  • 2.6.0 or later

Operating System Requirements:

  • Red Hat® (Red Hat® Enterprise Linux® Advanced Server release 4, Red Hat® Enterprise Linux® 5)

  • SUSE 10

Other Requirements:

  • JRE 1.6 or later

  • SuperMap Objects Java 6R SP3 (for Linux)

AIX

Operating System Requirements:

  • AIX® 5.3

  • AIX® 6.1

Other Requirements:

  • IBM Java5 SDK or later

  • SuperMap Objects Java 6R SP3 (for AIX)

Quick Links